import { RolesAndPermissionsService } from '../services/roles-and-permissions.service';
/**
 * Base class for all roles and permissions based view components in the application.
 *
 * @class
 */
export declare abstract class AbstractRolesAndPermissionsBasedComponent<T> {
    private rolesAndPermissionsService;
    constructor(rolesAndPermissionsService: RolesAndPermissionsService<T>);
    abstract isViewReadOnly(): boolean;
}
