import { Injectable } from '@angular/core';
/**
 * Provides user roles and permissions related functions.
 */
var RolesAndPermissionsService = /** @class */ (function () {
    function RolesAndPermissionsService() {
    }
    /**
     * Returns true, if the given user is authorized.
     *
     * @param user
     */
    /**
         * Returns true, if the given user is authorized.
         *
         * @param user
         */
    RolesAndPermissionsService.prototype.isAuthorized = /**
         * Returns true, if the given user is authorized.
         *
         * @param user
         */
    function (user) {
        return false;
    };
    /**
     * Checks if the given user has only read permissions.
     *
     * @param user
     */
    /**
         * Checks if the given user has only read permissions.
         *
         * @param user
         */
    RolesAndPermissionsService.prototype.hasOnlyReadPermissions = /**
         * Checks if the given user has only read permissions.
         *
         * @param user
         */
    function (user) {
        return true;
    };
    /**
     * Checks if the given user has write permissions.
     *
     * @param user
     */
    /**
         * Checks if the given user has write permissions.
         *
         * @param user
         */
    RolesAndPermissionsService.prototype.hasWritePermissions = /**
         * Checks if the given user has write permissions.
         *
         * @param user
         */
    function (user) {
        return false;
    };
    RolesAndPermissionsService.decorators = [
        { type: Injectable },
    ];
    return RolesAndPermissionsService;
}());
export { RolesAndPermissionsService };
//# sourceMappingURL=roles-and-permissions.service.js.map